View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17  package org.apache.log4j.xml;
    18
    19  import org.w3c.dom.Element;
    20  import java.util.Properties;
    21
    22  /**
    23   * When implemented by an object configured by DOMConfigurator,
    24   * the handle method will be called when an unrecognized child
    25   * element is encountered.  Unrecognized child elements of
    26   * the log4j:configuration element will be dispatched to
    27   * the logger repository if it supports this interface.
    28   *
    29   * @since 1.2.15
    30   */
    31  public interface UnrecognizedElementHandler {
    32      /**
    33       * Called to inform a configured object when
    34       * an unrecognized child element is encountered.
    35       * @param element element, may not be null.
    36       * @param props properties in force, may be null.
    37       * @return true if configured object recognized the element
    38       * @throws Exception throw an exception to prevent activation
    39       * of the configured object.
    40       */
    41      boolean parseUnrecognizedElement(Element element, Properties props) throws Exception;
    42  }